X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

Jssh.xpi extension couldnot be installed because it is incompatible with Firefox 4.0.1

Posted

1. I am trying to work with FireWatir which requires installing .XPI file. 2. To do that i followed the following steps :

     a. Click on File
     b. Open File
     c. Select jssh-3.6-WINNT.xpi file.

3. When i do this i get an error message saying Jssh incompatible with Firefox 4.0. 4. I tried to edit the install.rdf file to change the max-version to 4.0.* 5. But , when i do this , i get an error saying the file is corrupt.

Additional System Details

Installed Plug-ins

  • Office Plugin for Netscape Navigator
  • Adobe PDF Plug-In For Firefox and Netscape "9.4.4"
  • Shockwave Flash 10.2 r159
  • Adobe Shockwave for Director Netscape plug-in, version 11.5.9.620
  • Windows Presentation Foundation (WPF) plug-in for Mozilla browsers
  • Npdsplay dll
  • DRM Store Netscape Plugin
  • DRM Netscape Network Object

Application

  • User Agent: Mozilla/5.0 (Windows NT 5.1; rv:2.0.1) Gecko/20100101 Firefox/4.0.1

More Information

Application Basics
Name
Firefox
Version
4.0.1
User Agent
Mozilla/5.0 (Windows NT 5.1; rv:2.0.1) Gecko/20100101 Firefox/4.0.1
Profile Directory
Open Containing Folder
Enabled Plugins
about:plugins
Build Configuration
about:buildconfig
Extensions
Name
Version
Enabled
ID
JSSh
0.9
false
jssh@extensions.mozilla.org
Microsoft .NET Framework Assistant
1.0
false
{20a82645-c095-46ed-80e3-08825760534b}
Java Console
6.0.07
true
{CAFEEFAC-0016-0000-0007-ABCDEFFEDCBA}
Modified Preferences
Name
Value
accessibility.browsewithcaret
true
accessibility.typeaheadfind.flashBar
0
browser.history_expire_days.mirror
180
browser.places.smartBookmarksVersion
2
browser.startup.homepage
www.google.com
browser.startup.homepage_override.buildID
20110413222027
browser.startup.homepage_override.mstone
rv:2.0.1
dom.disable_open_during_load
false
extensions.lastAppVersion
4.0.1
network.cookie.prefsMigrated
true
places.database.lastMaintenance
1305009095
places.history.expiration.transient_current_max_pages
28130
places.last_vacuum
1298352746
print.print_printer
\\pkpge-prnftp\HP4350-FIRST2
print.printer_\\pkpge-prnftp\HP4350-FIRST2.print_bgcolor
false
print.printer_\\pkpge-prnftp\HP4350-FIRST2.print_bgimages
false
print.printer_\\pkpge-prnftp\HP4350-FIRST2.print_command
print.printer_\\pkpge-prnftp\HP4350-FIRST2.print_downloadfonts
false
print.printer_\\pkpge-prnftp\HP4350-FIRST2.print_edge_bottom
0
print.printer_\\pkpge-prnftp\HP4350-FIRST2.print_edge_left
0
print.printer_\\pkpge-prnftp\HP4350-FIRST2.print_edge_right
0
print.printer_\\pkpge-prnftp\HP4350-FIRST2.print_edge_top
0
print.printer_\\pkpge-prnftp\HP4350-FIRST2.print_evenpages
true
print.printer_\\pkpge-prnftp\HP4350-FIRST2.print_footercenter
print.printer_\\pkpge-prnftp\HP4350-FIRST2.print_footerleft
&PT
print.printer_\\pkpge-prnftp\HP4350-FIRST2.print_footerright
&D
print.printer_\\pkpge-prnftp\HP4350-FIRST2.print_headercenter
print.printer_\\pkpge-prnftp\HP4350-FIRST2.print_headerleft
&T
print.printer_\\pkpge-prnftp\HP4350-FIRST2.print_headerright
&U
print.printer_\\pkpge-prnftp\HP4350-FIRST2.print_in_color
true
print.printer_\\pkpge-prnftp\HP4350-FIRST2.print_margin_bottom
0.5
print.printer_\\pkpge-prnftp\HP4350-FIRST2.print_margin_left
0.5
print.printer_\\pkpge-prnftp\HP4350-FIRST2.print_margin_right
0.5
print.printer_\\pkpge-prnftp\HP4350-FIRST2.print_margin_top
0.5
print.printer_\\pkpge-prnftp\HP4350-FIRST2.print_oddpages
true
print.printer_\\pkpge-prnftp\HP4350-FIRST2.print_orientation
0
print.printer_\\pkpge-prnftp\HP4350-FIRST2.print_pagedelay
500
print.printer_\\pkpge-prnftp\HP4350-FIRST2.print_paper_data
1
print.printer_\\pkpge-prnftp\HP4350-FIRST2.print_paper_height
11.00
print.printer_\\pkpge-prnftp\HP4350-FIRST2.print_paper_size_type
0
print.printer_\\pkpge-prnftp\HP4350-FIRST2.print_paper_size_unit
0
print.printer_\\pkpge-prnftp\HP4350-FIRST2.print_paper_width
8.50
print.printer_\\pkpge-prnftp\HP4350-FIRST2.print_reversed
false
print.printer_\\pkpge-prnftp\HP4350-FIRST2.print_scaling
1.00
print.printer_\\pkpge-prnftp\HP4350-FIRST2.print_shrink_to_fit
true
print.printer_\\pkpge-prnftp\HP4350-FIRST2.print_to_file
false
print.printer_\\pkpge-prnftp\HP4350-FIRST2.print_unwriteable_margin_bottom
0
print.printer_\\pkpge-prnftp\HP4350-FIRST2.print_unwriteable_margin_left
0
print.printer_\\pkpge-prnftp\HP4350-FIRST2.print_unwriteable_margin_right
0
print.printer_\\pkpge-prnftp\HP4350-FIRST2.print_unwriteable_margin_top
0
privacy.sanitize.migrateFx3Prefs
true
privacy.sanitize.timeSpan
0
security.OCSP.disable_button.managecrl
false
security.disable_button.openCertManager
false
security.warn_viewing_mixed
false
Graphics
Adapter Description
ATI Radeon Xpress 1150 Series
Vendor ID
1002
Device ID
5974
Adapter RAM
Unknown
Adapter Drivers
ati2dvag
Driver Version
8.261.4.0
Driver Date
7-22-2006
Direct2D Enabled
Blocked on your graphics driver. Try updating your graphics driver to version 10.6 or newer.
DirectWrite Enabled
false (0.0.0.0, font cache n/a)
WebGL Renderer
(WebGL unavailable)
GPU Accelerated Windows
0/1

robertfetter 0 solutions 1 answers

If this is ever resolved, please email me at robert.fetter@verizon.net Thanks.

meromero 0 solutions 3 answers

I found an answer to this dilemma here: http://watin.org/documentation/setting-up-firefox/. I am trying to automate with Firefox 4.0.1 and WatiN but apparently you have to go back to version 3.6. Good luck!